Skip to Content
CallMitraDocs
API referenceTickets

List ticket categories

Categories to file tickets under (`categoryId`), in display order.

GET
/api/v1/tickets/categories

Categories to file tickets under (categoryId), in display order.

Authorization

headerX-API-Key<token>

Create in the console: Settings → API & webhooks.

Query Parameters

includeInactive?Includeinactive

Include categories that are switched off (default true).

Defaulttrue

Response Body

OK

application/json
  1. response
categories*array<>
success*Success

Always true on a 2xx response.

[key: string]?any
Example Request
curl -X GET 'https://api.callmitra.ai/api/v1/tickets/categories'
Example Response
{  "categories": [    {      "defaultPriority": "normal",      "defaultTeamId": "e7a1c3d5-9b2f-4d68-8a0c-2e4f6a8b0c1d",      "id": "3b9f1d7e-6c2a-4e85-a0d4-7f1e2c3b4a56",      "isActive": true,      "name": "Delivery",      "sortOrder": 0    },    {      "defaultPriority": "high",      "id": "8b9c0d1e-2f3a-4b4c-9d5e-6f7a8b9c0d1e",      "isActive": true,      "name": "Refunds",      "sortOrder": 1    }  ],  "success": true}